HttpRequestToInputStream (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.servlet.transformers.HttpRequestToInputStream class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet.transformers
Class HttpRequestToInputStream

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractDiscoverableTransformer
              org.mule.transport.servlet.transformers.HttpRequestToInputStream

All Implemented Interfaces:
  Initialisable, NamedObject, BaseTransformer, DiscoverableTransformer, Transformer

    public class HttpRequestToInputStream

extends AbstractDiscoverableTransformer

Converts an `HttpServletRequest` into an `InputStream`.

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.transformer.DiscoverableTransformer
`DEFAULT_PRIORITY_WEIGHTING, MAX_PRIORITY_WEIGHTING, MIN_PRIORITY_WEIGHTING`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`HttpRequestToInputStream()`

Method Summary
`protected Object` | `doTransform(Object src, String encoding)`

Methods inherited from class org.mule.transformer.AbstractDiscoverableTransformer
`getPriorityWeighting, setPriorityWeighting`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, initialise, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpRequestToInputStream

    public HttpRequestToInputStream()

Method Detail

### doTransform

    protected Object doTransform(Object src,
                                 String encoding)
                          throws TransformerException

  Specified by:
    `doTransform` in class `AbstractTransformer`
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.